#
#  IoLanguage language bundle
#
#  @COPYRIGHT@
#

include $(GNUSTEP_MAKEFILES)/common.make

###########################################################################
# Language name

TOOL_NAME        = io_objc

io_objc_SUBPROJECTS += \
	IoVM \
	AAVector \
	ObjcBridge

###########################################################################
# Files

io_objc_OBJC_FILES = \
	main.m

ifeq ($(FOUNDATION_LIB), apple)
else
  io_objc_OBJC_LIBS += -lgnustep-gui
endif
        
# MyLanguage_BUNDLE_LIBS += -lmylanguage

###########################################################################

ifeq ($(FOUNDATION_LIB), apple)
  # For AAVector
  ADDITIONAL_LDFLAGS += -framework Accelerate -faltivec
  # Only for Darwin 
  ADDITIONAL_CFLAGS += -mdynamic-no-pic -falign-loops=16
endif

ADDITIONAL_INCLUDE_DIRS += -IIoVM -IIoVM/base -IIoVM/SkipDB -IAAVector -IObjcBridge

include $(GNUSTEP_MAKEFILES)/tool.make
include $(GNUSTEP_MAKEFILES)/aggregate.make

